Subject: Re: swi prolog 4.0 + PCE emacs editor

From: Jan Wielemaker <[email-masked]>
Date: Tue, 20 Feb 2001 15:05:00 +0100

Pablo,

> Now that XPCE is integrated with SWI-Prolog, I have 
> decided to move to the wonderful PCE emacs.
> 
> To access PCE emacs, I just add this line to my
> initialization file:
> 
>   :- ensure_load(library('emacs/swi_prolog')).
> 
> so that PCE emacs shall become the default editor.
> 
> However, the behavior of edit/1 does change:
> 
>    1.- SWI-Prolog is no longer waiting for the editor
>        to stop.
> 
>    2.- the file being edited is not automatically loaded 
>        into SWI-Prolog if modified.
> 
> How can I recover the old behavior of edit/1 while 
> using PCE emacs?

You can't (unless you want to do some programming of course).
At any time, just save your files and type

	?- make.

which will reload all modified files.  This is what I normally use.
In addition, there is a menu option `Make' in the Prolog menu that
checks for modified buffers and next runs make.  This option is bound
to ^C^M. (Control-C-Control-M) There is also ^C^B for compiling the
current buffer.

The good point of this is that you can happily look at your source
while playing with your program.

	Cheers --- Jan

P.s.	If you experience ugly greenish background colouring you can
	fetch the latest version, uploaded monday 19 feb.